/*
 * X10 controller plugin for the Video Disk Recorder       
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: deviceSetupMenu.c,v 1.4 2005/03/16 21:27:14 toni Exp $                                           
 */

#include "deviceSetupMenu.h"
#include "i18n.h"
#include "X10Setup.h"
#include <vdr/menuitems.h>

cDeviceSetupMenu::cDeviceSetupMenu()
{
  step = globalSetup.step;
  Add(new cMenuEditIntItem(tr("Bright/dim step"),  &step,0, 22));
}

void cDeviceSetupMenu::Store(void)
{
  SetupStore("step", step);
  globalSetup.step = step;
}

